2001-10-24  Iain Holmes  <iain@ximian.com>

	* e-summary-mail.c (e_summary_mail_init): Don't free the mail part.
	Allows the summary to still function without the mail part.

2001-10-22  Anna Marie Dirks  <anna@ximian.com>

	* my-evolution.glade: Changed "Add new feed" to "Add news feed".

2001-10-22  Damon Chaplin  <damon@ximian.com>

	* e-summary-tasks.c (generate_html): set the default timezone on the
	server.

	* e-summary-calendar.c (e_cal_comp_util_compare_event_timezones): 
	update to check for DATE values.
	(uids_to_array): pass the default timezone
	to cal_recur_generate_instances.
	(generate_html): set the default timezone on the server.

2001-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-summary-preferences.c (e_summary_configure): Remove the
	help_button in the property box.

2001-10-19  Iain Holmes  <iain@ximian.com>

	* e-summary-mail.c (e_summary_mail_init): set the summary->mail to
	NULL after freeing it.
	(mail_change_notify): Return if mail == NULL.
	

2001-10-18  Iain Holmes  <iain@ximian.com>

	* e-summary.c (e_summary_reload): Only reload the views, don't do an
	entire reconfigure.

	* e-summary-rdf.c (e_summary_rdf_update): Free stuff and update.

	* e-summary-weather.c (e_summary_weather_update): Ditto

2001-10-16  Iain Holmes  <iain@ximian.com>

	* e-summary.c (e_summary_new): Don't call a draw.

	* e-summary-mail.c (e_summary_mail_init): Make sure html is NULL.

2001-10-14  Zbigniew Chyla  <cyba@gnome.pl>

	* e-summary-calendar.c (generate_html): Made temporary buffer for
	strftime much bigger (it was too small for Polish month names), added
	missing colon and conversion to UTF-8.

2001-10-12  Iain Holmes  <iain@ximian.com>

	* component-factory.c (component_factory_init): Fix message.

	* metar.c: Fix some names.
	Made the weather descriptions easier on the eyes.

2001-10-11  Dan Winship  <danw@ximian.com>

	* e-summary-mail.c (update_folder_cb): Update the signature to
	match the new signal.

2001-10-10  Iain Holmes  <iain@ximian.com>

	* e-summary-weather.c (e_summary_weather_update): Return a value.
	Only repoll if the summary is online.

	* e-summary-rdf.c (e_summary_rdf_update): Only poll if online

2001-10-10  Iain Holmes  <iain@ximian.com>

	* my-evolution.glade: Set the minimum length of time for updates to 
	5 minutes.

2001-10-06  Carlos Perelló Marín <carlos@gnome-db.org>

	* e-summary-preferences.c: Added HispaLinux

2001-10-05  Iain Holmes  <iain@ximian.com>

	* e-summary-rdf.c (e_summary_rdf_reconfigure): Set the RDF list to
	NULL before destroying it to fix a race condition.

2001-10-04  Iain Holmes  <iain@ximian.com>
	
	* my-evolution.glade: Capitalise stuff

2001-10-03  Iain Holmes  <iain@ximian.com>

	* e-summary-weather.c (e_summary_weather_init): Swap Xiamen for Tokyo

2001-10-01  Damon Chaplin  <damon@ximian.com>

	* e-summary-calendar.c (generate_html): used time_add_day/week/month
	_with_zone() functions rather than the old versions.

	* e-summary.c (alarm_fn): use time_day_end_with_zone ().

	* e-summary-tasks.c (generate_html): removed day_begin and day_end
	since they aren't used, and the calls to time_day_begin/end().

2001-10-02  Iain Holmes  <iain@ximian.com>

	* e-summary-calendar.c (uids_to_array): Handle recurrances correctly.
	(add_recurrances): Function to generate occurrances

2001-10-02  Rodrigo Moya <rodrigo@ximian.com>

	* Makefile.am: add $(BONOBO_GNOME_CFLAGS) to make it compile with
	latest Bonobo, which does not install headers in
	$(gnome_prefix)/include

2001-10-01  Iain Holmes  <iain@ximian.com>

	* e-summary-rdf.c: Applied patch from Takuo Kitame for using charset
	from the rdf.

2001-09-27  Iain Holmes  <iain@ximian.com>

	* e-summary-tasks.c (generate_html): Pass the summary to
	get_todays_uids.
	(get_todays_uids): Use the timezone stuff and use the due date instead
	of the end time.

2001-09-27  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c: (rdfs[]): Removed the broken RDFs
	(mail_all_select_row_cb): Don't turn on the -> button if the folder is
	already added.
	(rdf_all_select_row_cb): Ditto
	(weather_all_select_row_cb): Ditto

2001-09-26  Iain Holmes  <iain@ximian.com>

	* *.[ch]: Add correct approved copyright notices.

2001-09-25  Iain Holmes  <iain@ximian.com>

	* e-summary.c (e_summary_draw): Check if the summary is frozen, if so
	just set redraw_pending.
	(e_summary_freeze): Freeze the summary.
	(e_summary_thaw): Thaw the summary and redraw if needed.

	* e-summary-factory.c (control_activate): Thaw summary.
	(control_deactivate): Freeze summary.

2001-09-25  Iain Holmes  <iain@ximian.com>

	* Misc warnings cleanups.

	* e-summary.c (e_summary_url_requested): Check in the cache for the 
	image before spawning a new thread to download it.
	(close_callback): Create a cache first time, add images to it.

	* e-summary-tasks.c (generate_html): Use task.png

2001-09-21  Dan Winship  <danw@ximian.com>

	* e-summary-weather.c (weather_make_html): Add missing
	width/height tags to the sunny/cloudy/etc images to make the page
	render more smoothly.

2001-09-21  Iain Holmes  <iain@ximian.com>

	* e-summary-calendar.c (generate_html): If the appointment is in a
	different timezone set a timezone icon.

2001-09-20  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences: Add Red Carpet RDF

2001-09-19  Iain Holmes  <iain@ximian.com>

	* e-summary-calendar.c (generate_html): If the appointment has an alarm
	display a bell icon.

2001-09-19  Iain Holmes  <iain@ximian.com>

	* component-factory.c (create_view): Remove spew.
	
	* e-summary-mail.c (e_summary_mail_reconfigure): Get mail info if we
	don't already have it.
	(new_folder_cb): Only get mail info if the folder is being displayed.

2001-09-19  Larry Ewing  <lewing@ximian.com>

	* e-summary-tasks.c (generate_html): be sure to unref the
	component.

2001-09-19  Iain Holmes  <iain@ximian.com>

	* e-summary-tasks.c (e_summary_tasks_protocol): Open a task editor.
	(generate_html): Embed the uid of the task in the url.

	* e-summary-calendar.c (e_summary_calendar_protocol): Open a calendar
	editor.
	(generate_html): Embed the uid of the task in the url.
	
2001-09-19  Larry Ewing  <lewing@ximian.com>

	* e-summary-rdf.c (read_callback): remove redundant if.
	(open_callback): free the previous html even if we get an error.
	(rdf_free): remove redundant null checks.

2001-09-19  Dan Winship  <danw@ximian.com>

	* e-summary.c (read_callback, etc): Hack around gdkpixbuf lossage
	by not trying to display the images incrementall. Instead, just
	wait until we've read the whole file, then display it all at once.
	Prevents garbage when rendering the icons.

2001-09-18  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (weather_remove_clicked_cb): Select the next
	row.
	(rdf_remove_clicked_cb): Select the next row.

2001-09-18  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (mail_remove_clicked_cb): Select the next
	folder for removal.

	* e-summary-mail.c (e_summary_mail_reconfigure): Don't do the hashtable
	thing to get folders. Just iterate through the list lookuping the 
	folders instead. This keeps the required order.

2001-09-18  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (mail_add_clicked_cb): Don't add folders that
	are already in the list

2001-09-18  Iain Holmes  <iain@ximian.com>

	* e-summary-rdf.c (display_doc): Verbose error reporting.
	(read_callback): Same.
	(open_callback): Same.

2001-09-18  Iain Holmes  <iain@ximian.com>

	* e-summary-weather.c (e_summary_weather_add_location): Append the
	weather locations so they are in the right order.

	* e-summary-tasks.c (generate_html): If the text is null, don't print
	(null). Print "No description" instead.

	* e-summary-rdf.c (e_summary_rdf_add_uri): Append here as well.

	* e-summary-mail.c (maybe_add_to_shown): Append ici.

2001-09-17  Iain Holmes  <iain@ximian.com>

	* e-summary-weather.c (weather_make_html): Don't make the confusing
	url for the city name.

2001-09-17  Iain Holmes  <iain@ximian.com>

	* e-summary-mail.c (mail_change_notify): Only redraw the display when
	we receive a notify about a folder we are displaying

2001-09-17  Iain Holmes  <iain@ximian.com>

	* e-summary-calendar.c (uids_to_array): Correctly use qsort.
	(e_summary_calendar_event_sort_func): Dereference the e1 and e2.

2001-09-17  Federico Mena Quintero  <federico@ximian.com>

	* e-summary.c (e_summary_init): There is no need to initialize the
	alarm system now.

2001-09-14  Iain Holmes  <iain@ximian.com>

	* e-summary-calendar.c (uids_to_array): Create ESummaryCalEvents and 
	put them in an array to get the timezone stuff right.
	(e_summary_calendar_event_sort_func): Sort the array.
	(generate_html): Use the timezone formats of things.

2001-09-13  Iain Holmes  <iain@ximian.com>

	* Locations: Removed duff Norway station

2001-09-13  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c: Fix slashdot problem.

2001-09-10  Dan Winship  <danw@ximian.com>

	Purification.
	
	* e-summary.c (destroy): free the protocol hash.

	* e-summary-rdf.c (tree_walk): plug a leak.

	* e-summary-weather.c (e_summary_weather_init_locations): Don't
	insert duplicates into the hash table.

	* e-summary-mail.c (e_summary_mail_generate_html): free old html
	before setting new

	* e-summary.c (e_summary_draw): free weather and rdf html strings.

	* e-summary-preferences.c (save_known_rdfs): free strings.

2001-09-10  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c: Add Memepool RDF.

2001-09-06  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (e_summary_configure): Don't allow dialogs to
	be opened more than once.
	(property_box_destory_cb): NULL the window var.

2001-09-05  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #958, ShellComponents should not be created by factories, for
	the Summary.]

	* component-factory.c (COMPONENT_FACTORY_IID): Removed.
	(COMPONENT_ID): New.
	(create_component): Renamed from `factory_fn'.  No args.
	(component_factory_init): Create the BonoboObject with
	`create_component' and register it on OAF.

	* GNOME_Evolution_Summary.oaf.in: Remove the
	ShellComponentFactory.

2001-09-05  Iain Holmes  <iain@ximian.com>

	* Locations: Added some Caracas fixes from Mayly Sanchez.

2001-09-05  Iain Holmes  <iain@ximian.com>

	* e-summary.c (e_summary_draw): Hack to stop the display jumping to the
	top when it is redrawn.

2001-09-05  Iain Holmes  <iain@ximian.com>

	* e-summary-calendar.c (generate_html): Check if we need to use 24hr
	format. Don't try to do fancy things with the date and time of an
	appointment.
	(locale_uses_24h_time_format): Cut and pasted from calendar.
	(e_summary_calendar_init): Get the 24hour preferences from the calendar.

2001-09-04  Iain Holmes  <iain@ximian.com>

	* Locations: Applied patch from Evert Verhellen to fix the Belgium 
	stations

2001-09-04  Iain Holmes  <iain@ximian.com>

	* my-evolution.glade: Fix some accelerator clashes

2001-09-04  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (add_dialog_clicked_cb): When the feed is 
	added make the Apply button activate.

2001-09-04  Iain Holmes  <iain@ximian.com>

	* metar.c (weather_conditions_string): Don't return '-' if there is no
	condition, as it makes the temperature look negative.

2001-08-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-summary-weather.c (weather_make_html): Make local variable
	`icon_name' const.  Remove unused variable `uri'.

	* e-summary.h: Reformatted in GTK+ style.
	(e_summary_remove_online_connection): Added prototype.

	* e-summary-preferences.c (fill_mail_shown_clist): Constify local
	variable `name'.

	* e-summary-mail.c: #include "e-util/e-path.h".  Updated to match
	the new studlyCapsification in shell/Evolution*.idl.

2001-08-23  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (rdfs): Remove the 4 that don't work.

2001-08-22  Iain Holmes  <iain@ximian.com>

	* e-summary-tasks.c (generate_html): Skip the task if it's completed.

2001-08-22  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (mail_show_full_path_toggled): Set the 
	property box to changed.

2001-08-22  Iain Holmes  <iain@ximian.com>

	* e-summary-mail.c (make_pretty_foldername): If show_full_path is TRUE
	then return the full path. Take in the ESummary as well.
	(folder_gen_html): Pass ESummary to make_pretty_foldername.
	(e_summary_mail_generate_html): Pass the ESummary to folder_gen_html.

	* e-summary-rdf.c (e_summary_rdf_set_online): Take in a 
	GNOME_Evolution_OfflineProgressListener in case we want to do
	individual reporting of rdf's being destroyed.
	(make_connection): Call the RDF Feed a News Feed instead.

	* e-summary-weather.c (e_summary_weather_set_online): Same.

	* e-summary.c (e_summary_set_online): Pass in the 
	GNOME_Evolution_OfflineProgressListener to the set_online callback.

	* e-summary-offline-handler.c (impl_goOffline): Pass the listener to the
	callback.
	(impl_goOnline): Pass NULL for the listener.
	
2001-08-21  Iain Holmes  <iain@ximian.com>

	* my-evolution-html.h: Set the text colour to black.

2001-08-21  Damon Chaplin  <damon@ximian.com>

	* e-summary-calendar.c (generate_html): 
	* e-summary-tasks.c (generate_html): changed the icons. For calendar
	events we use the 'new appointment' icon from the menu. For tasks we
	use the task icon from the ETable - I wasn't sure about using the
	'New Task' icon as it has a tick in it which may make people think it
	is complete.

2001-08-19  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c: Change the type from "Summary" to "summary"
	for consistency with the other folder types.

2001-08-17  Zbigniew Chyla  <cyba@gnome.pl>

	* my-evolution/e-summary-rdf.c (make_connection):
	Marked string for translation (connection type).

	* my-evolution/e-summary-weather.c
	(make_url): Split into two functions: make_url and make_anchor.
	(weather_make_html): s/make_url/make_anchor/
	(make_connection): Marked connection type string for franslation,
	assign the real URI to ->hostname (using make_url), not location code.

2001-08-12  Zbigniew Chyla  <cyba@gnome.pl>

	* e-summary-preferences.c (make_initial_weather_list),
	e-summary-weather.c (e_summary_weather_init):
	Don't hardcode the default list of stations, let translators define it
	per locale/country.

2001-08-17  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (weather_all_select_row_cb): Unselect the 
	row if it isn't a leaf node.
	(weather_add_clicked_cb): Return if location == NULL.

2001-08-15  Iain Holmes  <iain@ximian.com>

	* e-summary.c (e_summary_draw): Use the US format for dates (Yeeech)

2001-08-15  Iain Holmes  <iain@ximian.com>

	* e-summary.c: s/My Evolution/Summary/

	* e-summary-preferences.c: s/My Evolution/Summary/

	* component-factory.c: s/My Evolution/Summary/

2001-08-13  Iain Holmes  <iain@ximian.com>

	* e-summary-weather.c: Set the default weather stations to Boston (boo)
	and Xiamen (Yey)

2001-08-13  Iain Holmes  <iain@ximian.com>

	* e-summary-rdf.c: Set the default RDF to CNN

2001-08-13  Jason Leach  <jleach@ximian.com>

	* e-summary-mail.c (e_summary_mail_free): Disconnect our callbacks
	when we are freeing the ESummaryMail.  Fixes #6712.

2001-08-09  Anna Marie Dirks <anna@ximian.com> 
	
	* my-evolution-html.h : added more padding between the vertical
	spacer and the icons for the mail/appointments/tasks summaries.

2001-08-09  Anna Marie Dirks <anna@ximian.com>

        * my-evolution.glade : added accelerators to all useful widgets
	in this file such that this dialog can now be fully navigated from
	the keyboard. 

	* e-summary-preferences.c : changed the construct_pixmap_button
	function to take glade xml, an hbox and pixmap, making it possible
	to use glade to define and change the keyboard accelerators, instead
	of trying to do this in the c code. 

2001-08-06  Damon Chaplin  <damon@ximian.com>

	* e-summary-tasks.c (sort_uids): 
	(get_todays_uids): 
	(generate_html): 
	* e-summary-calendar.c (sort_uids): free the CalComponentDateTime
	and icaltimetype values after finishing with them.

2001-08-03  Jason Leach  <jleach@ximian.com>

	* e-summary-mail.c (update_folder_cb): Callback for the
	EvolutionStorageListener::update_folder signal, so we can update
	mail summaries when they change.  Bug #4686.

2001-08-02  Jason Leach  <jleach@ximian.com>

	* e-summary-calendar.c (generate_html): Use the new and beautiful
	icon from Jakub.

	* e-summary-mail.c (e_summary_mail_generate_html): Ditto.

	* e-summary-tasks.c (generate_html): Ditto.	

2001-07-23  Zbigniew Chyla  <cyba@gnome.pl>

       * e-summary-rdf.c (display_doc): Convert translated string to UTF8.

2001-07-30  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c: Remove the Wipe Trackers references.
	
	* e-summary-rdf.c: Remove the wip trackers as I'm not 100% sure what it
	does, and it didn't work.

	* e-summary.h: Remove the wipe_trackers boolean

	* my-evolution.glade: Remove the wipe trackers and shrink the New Feed
	button

2001-07-30  Iain Holmes  <iain@ximian.com>

	* e-sumary-calendar.c (generate_html): Correct the URL for the links.

2001-07-27  Iain Holmes  <iain@ximian.com>

	* Locations: Add some more German cities from s.kost@webmacher.de.

2001-07-23  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (add_dialog_clicked_cb): Add the new RDF to
	the shown clist as well.

2001-07-23  Iain Holmes  <iain@ximian.com>

	* e-summary-mail.c (e_summary_mail_init): Move the storage register out
	of here into a seperate function.
	(e_summary_mail_register_storages): Register the local storage.
	(e_summary_mail_register_storage): Register a single storage.

2001-07-23  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c: Fix the KDE and Newsforge things. Change the
	KDE rdf to the one that the KDE person told me :)

2001-07-23  Jason Leach  <jleach@ximian.com>

	* e-summary-preferences.c: Update the url (and site name) for the
	KDE rdf.  Bug #5145.

2001-07-21  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c: Make the "My Evolution" folder
	non-creatable by setting the `user_creatable' member of
	`EvolutionShellComponentFolderType' to %FALSE.

2001-07-20  Jason Leach  <jleach@ximian.com>

	* e-summary-tasks.c: Revert last changes, URIs are now back to
	original in shell.

2001-07-19  Jason Leach  <jleach@ximian.com>

	* e-summary-tasks.c: Update the evolution:/local/ URI's to
	evolution:/Local Folders/ to go along with todays shell changes.

	* e-summary-mail.c: Ditto.	

	* e-summary-calendar.c: Ditto.
	
2001-07-19  Iain Holmes  <iain@ximian.com>

	* e-summary-rdf.c (display_doc): Fix HTML

	* e-summary-mail.c (folder_gen_html): correct the folder name.

2001-07-19  Iain Holmes  <iain@ximian.com>

	* my-evolution-html.h: Set the text colour to black. Frank was claiming
	it picked the default colour from the GTK+ theme, and if it was white
	bad things happened.

2001-07-18  Iain Holmes  <iain@ximian.com>

	* e-summary-weather.c (weather_make_html): Remove the (more) link.

	* e-summary.c (e_summary_draw): Don't append NULL to the GString.

	* e-summary-tasks.c: Remove spewage.

2001-07-18  Iain Holmes  <iain@ximian.com>

	* e-summary-weather.c (weather_make_html): Remove spewage.

2001-07-18  Iain Holmes  <iain@ximian.com>

	* e-summary.c (e_summary_reconfigure): Reconfigure the tasks.

	* e-summary-tasks.c (generate_html): Obtain todays tasks.
	(get_todays_uids): Make a list of todays uids.

2001-07-18  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (make_property_dialog): Create the image 
	buttons.
	(construct_pixmap_button): Create a box with an image and text.

2001-07-18  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (e_summary_configure): Set the title on the
	window. Just do a g_return_if_fail if the XML file couldn't be loaded.

2001-07-16  Iain Holmes  <iain@ximian.com>

	* e-summary-rdf.c (display_doc): Nicer error reporting.

	* e-summary-weather.c: Nicer error reporting.

2001-07-13  Iain Holmes  <iain@ximian.com>

	* e-summary-tasks.c: Fix the name of the icon.

2001-07-13  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (mail_add_clicked_cb): Set the property box
	to changed.

2001-07-13  Zbigniew Chyla  <cyba@gnome.pl>

	* e-summary.c (e_summary_draw): Convert the date string to utf8 before
	appending it to HTML.

2001-07-12  Iain Holmes  <iain@ximian.com>

	* metar.c: #include <config.h>

2001-07-12  Iain Holmes  <iain@ximian.com>

	* e-summary.c (e_summary_draw): put _() around the date string.

	* metar.c: Put some _() around things.

2001-07-12  Iain Holmes  <iain@ximian.com>

	* my-evolution.glade: Made the weather a single selection clist.

2001-07-11  Iain Holmes  <iain@ximian.com>

	* e-summary-mail.c (e_summary_mail_generate_html): Protect with
	g_return_if_fail

2001-07-11  Iain Holmes  <iain@ximian.com>

	* e-summary.c (destroy): Destroy the alarm.
	(e_summary_init): Init the alarm.
	
	* e-summary-mail.c (free_folder): Don't free the value.

2001-07-11  Iain Holmes  <iain@ximian.com>

	* e-summary.c (destroy): Destroy all the subcomponents.

	* e-summary-rdf.c (e_summary_rdf_free): Free and stop all tranfsers

	* e-summary-weather.c (e_summary_weather_free): Same.

	* e-summary-mail.c (e_summary_mail_free): Same.

	* e-summary-calendar.c (e_summary_calendar_free): Same.

	* e-summary-tasks.c (e_summary_tasks_free): Guess what.

2001-07-10  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c: Correct the Register RDF url.

2001-07-09  Iain Holmes  <iain@ximian.com>

	* e-summary.c (e_summary_init): Connect a calendar alarm to be notified
	of when the day changes.

	* Makefile.am: Link with libalarm.a

2001-07-09  Iain Holmes  <iain@ximian.com>

	* e-summary-weather.c (weather_make_html): Get an icon for the weather.

	* metar.[ch] (icon_from_weather): Work out what icon for a specific
	weather type.

2001-07-09  Iain Holmes  <iain@ximian.com>

	* e-summary-rdf.c (tree_walk): Fix HTML so it doesn't give the big black
	line

2001-07-09  Iain Holmes  <iain@ximian.com>

	* e-summary-tasks.c (generate_html): Fix same HTML bug as in calendar.

2001-07-09  Iain Holmes  <iain@ximian.com>

	* e-summary-calendar.c (generate_html): Show varying times depending
	on how soon the appointment is. 

2001-07-09  Iain Holmes  <iain@ximian.com>

	* e-summary-calendar.c (generate_html): Fix up the HTML so having 
	appointments doesn't mess up the display. Set the correct length of
	time to show appointments.

2001-07-09  Iain Holmes  <iain@ximian.com>

	* e-summary-tasks.c (generate_html): Make the tasks switch to the
	tasks folder when you click on them.

2001-07-09  Kjartan Maraas  <kmaraas@gnome.org>

	* e-summary-preferences.c: Added #include <config.h> to get
	translations working.
	
2001-07-06  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (str_list_from_vector): Change the delimiter
	(vector_from_str_list): Change the delimiter.
	(fill_mail_all_clist): Fill the mail folder clist.
	(fill_mail_shown_clist): Use nicer names.
	(mail_add_clicked_cb): Add folders to the shown list.
	
	* e-summary-mail.c (e_summary_mail_fill_list): Flatten the hashtable
	into the CList.
	(e_summary_mail_uri_to_name): Get the pretty name for a uri.

2001-07-06  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (fill_rdf_shown_list): Attach data
	(rdf_add_clicked_cb): Allow multiple rows to be removed.
	(rdf_remove_clicked_cb): Use the data.

	* my-evolution.glade: Allow multiple selection in the RDF all clist.
	Only allow single selection in the shown rdf list.

2001-07-05  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (rdf_new_url_clicked_cb): Change RDF to
	news feed.

2001-07-05  Iain Holmes  <iain@ximian.com>

	* my-evolution.glade: Replace a table with a vbox so that the text
	of the radio buttons can be clicked. Change RDF to News Feed

2001-07-05  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (add_dialog_clicked_cb): Fix warning
	(fill_rdf_shown_clist): Fix warning.
	(calendar_one_toggled_cb): Set preferences to the right toggle button.
	(calendar_five_toggled_cb): Ditto
	(calendar_week_toggled_cb): Ditto ditto
	(calendar_month_toggled_cb): Ditto dotto
	(calendar_all_toggled_cb): Set the amount of Tasks to be shown
	(calendar_today_toggled_cb): Ditto
	(make_property_dialog): Hook up the calendar radio buttons.
	(e_summary_preferences_restore): Pass NULL as opt_default, not &ev.

2001-07-05  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (e_summary_preferences_restore): Add
	My-Evolution to the namespace.
	(e_summary_preferences_save): Ditto.

2001-07-05  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (e_summary_preferences_restore): Re-enabled.
	Bonobo-conf doesn't seem to like NULL for opt_ev.

2001-07-03  Iain Holmes  <iain@ximian.com>

	* e-summary-prefences.c (e_summary_preferences_restore): Disabled until
	memory corruption thing is found.

	* my-evolution.glade: Fix the radio button problem.

2001-07-03  Iain Holmes  <iain@ximian.com>

	* e-summary-factory.c: Fixed the Bonobo warning.

2001-07-03  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (e_summary_preferences_restore): Ditch
	gnome-config and replace it with bonobo-conf.
	(e_summary_preferences_save): Ditto.

	* e-summary-factory.c: Use the new print.png icon.

	* Makefile.am: Add bonobo conf CFLAGS and LIBS

2001-07-03  Iain Holmes  <iain@ximian.com>

	* e-summary.c (e_summary_set_online): Return if summary == NULL.
	(e_summary_add_connections): Return NULL if summary == NULL.
	(e_summary_count_connections): Return 0 if summary == NULL.

2001-07-02  Iain Holmes  <iain@ximian.com>

	* e-summary-tasks.[ch]: New files for tasks.

	* e-summary.c: USe the tasks.

2001-07-02  Iain Holmes  <iain@ximian.com>

	* Makefile.am: Add the glade files to the EXTRA_DIST

2001-07-02  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (evolution_executive_summary_SOURCES): Add
	`e-summary-preferences.h'.

2001-06-30  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (fill_rdf_all_clist): Load the URLs from a
	file.
	(save_known_urls): Save the known URLs.
	(add_dialog_clicked_cb): Close the dialog on Cancel. Save the URLs on
	Ok.
	(rdf_new_url_clicked_cb): Add some labels and an entry for the name.

2001-06-30  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (fill_rdf_all_clist): Fill with names
	instead of URLs.
	(find_name_for_url): Given a URL find a name for it if we know it.
	(rdf_add_clicked_cb): Add the name to the clist and the url to the
	list.

2001-06-30  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (add_dialog_clicked_cb): Add the new url to
	the list.
	(rdf_new_url_clicked_cb): Create a dialog and allow the user to add
	new urls.

2001-06-30  Iain Holmes  <iain@ximian.com>

	* e-summary-rdf.c (tree_walk): Remove spewage.
	(e_summary_rdf_count):
	(e_summary_rdf_add):
	(make_connection):
	(e_summary_rdf_set_online): Callbacks for the online_handler stuff.
	(e_summary_rdf_init): Setup the offline handler stuff.
	(close_callback): Update the number of onlines there are.

	* e-summary-weather.c (close_callback): Update the number of onlines.
	(e_summary_weather_count): Count the number of active downloads.
	(e_summary_weather_add): Make a list of active downloads.
	(make_connection): Make connection data.
	(e_summary_weather_set_online): Set if the component is online or not.
	(e_summary_weather_init): Setup the offline handler stuff.

	* e-summary.c (e_summary_count_connections): Call all the callbacks
	in the various modules that have online data and count the number of
	connections.
	(e_summary_add_connections): Make a list of them all.
	(e_summary_set_online): Set the online status for each registered
	module.
	(e_summary_add_online_connection): Register a new module.

	* e-summary-offline-handler.[ch]: BonoboXObject implementing the
	GNOME::Evolution::Offline interface.

	* e-summary-factory.c (factory_fn): Create an offline handler.

	* Makefile.am: Compile e-summary-offline-handler.[ch]

2001-06-30  Zbigniew Chyla  <cyba@gnome.pl>

	* e-summary-calendar.c (generate_html):
	Marked strings for translation + conversion to utf8.

	* e-summary-mail.c
	Added missing #include <config.h>
	(e_summary_mail_generate_html):
	Marked strings for translation + conversion to utf8.

	* e-summary-weather.c
	(e_summary_weather_get_html, open_callback):
	Marked strings for translation + conversion to utf8.
	(weather_make_html): Fixed leaks.

	* e-summary-rdf.c
	(tree_walk): Fixed leaks.
	(read_callback): Marked strings for translation.

2001-06-29  Iain Holmes  <iain@ximian.com>

	* e-summary.c (e_summary_draw): Resurrect the hack to stop GtkHTML from
	returning to the top when it's redrawn.

2001-06-29  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c (property_box_destroy_cb): Hook up the saving.
	(str_list_from_vector): Fix memory corruption.
	(e_summary_preferences_save): Write the preferences out to disk.
	I *always* forget that.

	* e-summary-mail.c (e_summary_mail_init): Init ->shown to NULL.
	
2001-06-29  Iain Holmes  <iain@ximian.com>

	* e-summary-preferences.c: Do everything preferences related.

	* my-evolution.glade: Glade file for the preferences box.

	* e-summary-calendar.c (e_summary_calendar_reconfigure): Stub for later

	* e-summary-calendar.h: Some enums for settings.
	
	* e-summary-mail.c (folder_gen_html): Change the prototype so it
	doesn't work as a hash table foreach function.
	(new_folder_cb): Fix typo in comment :)
	                 Create a list of folders we display.
	(remove_folder_cb): Remove the folder from the display folder list.
	(maybe_add_to_shown): Hash table foreach function to create a display
	                      folder list.
	(e_summary_mail_reconfigure): Recreate the mail HTML.

	* e-summary-rdf.c (tree_walk): Obey preferences.
	(e_summary_rdf_update): Separate the updating and downloading logic.
	(e_summary_rdf_init): Start an updating timeout.
	(e_summary_rdf_reconfigure): Recreate the RDF html.

	* e-summary-weather.c (e_summary_weather_update): Separate the updating
	and downloading logic.
	(e_summary_weather_init): Start timeout.
	(e_summary_weather_code_to_name): Convert code to location name.
	(e_summary_weather_ctree_fill): Fill a CTree with the location data.
	(e_summary_weather_reconfigure): Regenerate the HTML.

	* e-summary.c (e_summary_init): Create the preferences.
	(e_summary_reconfigure): Reconfigure the whole summary.
	
	* metar.c: Obey preferences.

2001-06-27  Iain Holmes  <iain@ximian.com>

	* e-summary-factory.c: Add the pixmaps to the menus.
	Add a new menu item for the configuration stuff.

2001-06-27  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (factory_fn): Pass NULL as the
	@external_uri_schemas argument to
	`evolution_shell_component_new()'.

2001-06-21  Rodrigo Moya <rodrigo@ximian.com>

	* Makefile.am: added libwombat to LDADD

2001-06-15  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: Get weather.h disted
	
2001-06-15  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: Fix includes so that libical need not be installed 

2001-06-14  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: add my-evolution-html.h to the sources

2001-06-13  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: Make e-summary-type.h a source so it gets disted

2001-06-08  Iain Holmes  <iain@ximian.com>

	* e-summary.c (e_summary_init): Allow horizontal scrollbars.
	
	* e-summary-weather.c (e_summary_weather_init): Change the name of the	
	protocol registered.
	(weather_make_html): Use the weather protocol instead of more.
